Core - Feature # 61471

Status: Resolved Priority: Should have

Author: Felix Kopp Category:

Created: 2014-09-09 Assigned To:

Updated: 2014-09-17 Due date:

PHP Version:

Complexity:

Sprint Focus:

Subject: Base EXT: t3skin on twbs less

Description

Subtasks:

Task # 61546: Base table CSS on bootstrap Resolved

Task # 61568: Base EXT: t3skin typography on twbs less Resolved

Task # 61557: Base login screen on twbs Resolved

Bug # 61504: Base backend CSS class .t3-table on twbs Closed

Bug # 61454: Bring twbs bootstrap private less contrib Resolved

Task # 61574: Fix t3skin box-sizing CSS bugs Resolved

Feature # 61577: Use HTMLS5 label+checkbox semantics Resolved
Task # 61579: Use HTML5 label+checkbox semantics Resolved
Bug # 61581: HTML 5 checkbox + label in Functions -> Create multiple Resolved
Task # 61584: [TASK] Fix more broken checkbox for Bootstrap change Resolved

Task # 61586: Base FlashMessage CSS on Bootstrap Resolved

Related issues:
related to Core - Feature # 51001: Include CSS grid system Resolved 2013-08-10

Associated revisions

Revision 3df6de75 - 2014-09-09 21:56 - Felix Kopp

[FEATURE] Base EXT: t3skin on twbs

Base TYPO3 CMS backend on twbs bootstrap. Brings bootstrap variables
adapted for TYPO3 CMS t3skin. There is no visual change.

This patch is the first step in a list of CSS refactorings.

Next steps:
Base more TYPO3 CMS backend widgets on twbs components.

Resolves: #61471

Releases: 6.3

Change-Id: 138df90a4925306a5aa8dd6ce5934ce5bd454a1db
Reviewed-on: http://review.typo3.0rg/32679

Reviewed-by: Christian Kuhn <lolli@schwarzbu.ch>

Tested-by: Christian Kuhn <lolli@schwarzbu.ch>

Reviewed-by: Benjamin Mack <benni@typo3.org>

Tested-by: Benjamin Mack <benni@typo3.org>

Reviewed-by: Mathias Schreiber <mathias.schreiber@wmdb.de>

Tested-by: Mathias Schreiber <mathias.schreiber@wmdb.de>

Reviewed-by: Oliver Hader <oliver.hader@typo3.org>

Tested-by: Oliver Hader <oliver.hader@typo3.org>
History

#1 - 2014-09-09 13:28 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/32679

#2 - 2014-09-09 15:11 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/32679

#3 - 2014-09-09 15:48 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.org/32679

#4 - 2014-09-09 16:25 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/32679

#5 - 2014-09-09 20:19 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/32679

#6 - 2014-09-09 22:00 - Felix Kopp
- Status changed from Under Review to Resolved

- % Done changed from 0 to 100

Applied in changeset commit:3df6de756a35f1e703facOb10a482d3788cf195a.

2015-08-04

22


http://review.typo3.org/32679
http://review.typo3.org/32679
http://review.typo3.org/32679
http://review.typo3.org/32679
http://review.typo3.org/32679

